package com.dji.sample.manage.service;

import com.dji.sample.manage.model.dto.LoginLogDTO;
import com.dji.sample.manage.model.entity.UserEntity;
import com.dji.sample.manage.model.param.searchParam.LoginLogSearchParam;
import com.dji.sdk.common.PaginationData;

/**
 * @author chenshixian
 **/

public interface ILoginLogService {

    void addLoginLog(UserEntity userEntity, boolean success, String message);

    void addLoginLog(UserEntity userEntity, boolean success, String message, String ipAddress, String userAgent);

    void addLoginLog(String username, boolean success, String message, String ipAddress, String userAgent);

    PaginationData<LoginLogDTO> getLoginLogList(LoginLogSearchParam param, int page, int size);

}
